# Zeiterfassung
# UI
from wx.lib.agw.aui import aero_up_single

from definitions import *

import tkinter as tk
from tkinter import ttk
from tkinter import messagebox

from timestamping import append_timestamp, len_timestamps
from users import determine_filename


def ui_stempeln(button, label):
    append_timestamp(determine_filename(label))
    global buttons
    if len_timestamps(determine_filename(label)) % 2 == 0:
        buttons[button].configure(relief="raised", bg="red")
    else:
        buttons[button].configure(relief="sunken", bg="green")

def stempeln(userlist):
    stempeln = tk.Tk()
    stempeln.title(program_name + " " + program_version)
    stempeln.geometry("600x400")
    stempeln.minsize(width=200, height=200)

    global buttons
    buttons = [ ]
    button_index = 0
    windowSize = stempeln.winfo_height()


    for i in userlist:
        buttonheight = int(windowSize / len(userlist) - 10)
        button = tk.Button(stempeln, text=i, height=buttonheight, command=lambda b=button_index, label=i: ui_stempeln(b, label))
        if len_timestamps(determine_filename(i)) % 2 == 0:
            button.configure(relief="raised", bg ="red")
        else:
            button.configure(relief="sunken", bg="green")
        button.pack(fill="x", pady=5)
        buttons.append(button)
        button_index+=1

    stempeln.mainloop()